Bug 214174 - Gaim crashes when the image icon near status display is clicked
Gaim crashes when the image icon near status display is clicked
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 07:20 EST by Mayank Jain
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 10:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Click according to this screenshot. (43.44 KB, image/png)
2006-11-06 07:20 EST, Mayank Jain
no flags Details

  None (edit)
Description Mayank Jain 2006-11-06 07:20:12 EST
Description of problem:
Gaim crashes when the image icon near status display is clicked

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.18.beta4.fc7

How reproducible:
Everytime

Steps to Reproduce:
1. Run gaim, connect to any service
2. Click the picture icon near the status display (check screenshot)
3. Crash happens with either right click or left click
  
Actual results:
Crash

Expected results:
Normal functioning

Additional info:

Backtrace when left mouse button was clicked

--------------------------------------------------------
0x00467402 in __kernel_vsyscall ()
(gdb) continue 
Continuing.
12295: assertion failed "(connection)->have_connection_lock" file
"dbus-connection.c" line 1708 function _dbus_connection_open_internal
  /lib/libdbus-1.so.3 [0x34eb8fd]
  /lib/libdbus-1.so.3 [0x34eb5c7]
  /lib/libdbus-1.so.3 [0x34d7577]
  /lib/libdbus-1.so.3 [0x34ab9e2]
  /lib/libdbus-1.so.3 [0x34a1783]
  /usr/lib/libgnomevfs-2.so.0 [0x26caf47]
  /usr/lib/libgnomevfs-2.so.0 [0x26eb6d8]
  /usr/lib/libgnomevfs-2.so.0 [0x26eb293]
  /lib/libgobject-2.0.so.0(g_type_create_instance+0x4ca) [0x3c472a]
  /lib/libgobject-2.0.so.0 [0x3ac012]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x3a9c6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x3aa7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x3aa980]
  /usr/lib/libgnomevfs-2.so.0 [0x26ec050]
  /usr/lib/libgnomevfs-2.so.0(gnome_vfs_get_volume_monitor+0x1e) [0x26ec0e6]
  /usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so [0x42bd3b4]
  /lib/libgobject-2.0.so.0(g_type_create_instance+0x4ca) [0x3c472a]
  /lib/libgobject-2.0.so.0 [0x3ac012]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x3a9c6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x3aa7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x3aa980]
 
/usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so(gtk_file_system_gnome_vfs_new+0x27)
[0x42bd0d9]
  /usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so(fs_module_create+0x17)
[0x42c31a5]
  /usr/lib/libgtk-x11-2.0.so.0 [0xcb23ed]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_file_system_create+0xd3) [0xcb2573]
  /usr/lib/libgtk-x11-2.0.so.0 [0xca3134]
  /lib/libgobject-2.0.so.0 [0x3ac1ec]
  /usr/lib/libgtk-x11-2.0.so.0 [0xca6aa1]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x3a9c6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x2c9) [0x3aa879]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x3aa980]
  /usr/lib/libgtk-x11-2.0.so.0 [0xc98738]
  /usr/lib/libgtk-x11-2.0.so.0 [0xcab06c]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x3a9c6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x21f) [0x3aa7cf]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x3aa980]
  /usr/lib/libgtk-x11-2.0.so.0 [0xca744d]
  /lib/libgobject-2.0.so.0(g_object_newv+0x2cb) [0x3a9c6b]
  /lib/libgobject-2.0.so.0(g_object_new_valist+0x2c9) [0x3aa879]
  /lib/libgobject-2.0.so.0(g_object_new+0x40) [0x3aa980]
  /usr/lib/libgtk-x11-2.0.so.0 [0xca6f4e]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_file_chooser_dialog_new+0x2c) [0xca6ffc]
  gaim(gaim_gtk_buddy_icon_chooser_new+0xa8) [0x80d7ec8]
  gaim [0x80d5a6a]
  /usr/lib/libgtk-x11-2.0.so.0 [0xd030f0]
  /lib/libgobject-2.0.so.0(g_closure_invoke+0x12b) [0x3a4e6b]
  /lib/libgobject-2.0.so.0 [0x3b5de3]
  /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x667) [0x3b70a7]
  /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0x3b7499]
  /usr/lib/libgtk-x11-2.0.so.0 [0xe17218]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x183) [0xcfc593]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317) [0xcfd797]
  /usr/lib/libgdk-x11-2.0.so.0 [0x2320da]
  /lib/libglib-2.0.so.0(g_main_context_dispatch+0x182) [0x4932d2]
  /lib/libglib-2.0.so.0 [0x4962af]
  /lib/libglib-2.0.so.0(g_main_loop_run+0x1a9) [0x496659]
  /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4) [0xcfdc14]
  gaim(main+0x899) [0x80affc9]
  /lib/libc.so.6(__libc_start_main+0xdc) [0xf80e3c]
  gaim [0x8064cb1]

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208678704 (LWP 12295)]
0x00467402 in __kernel_vsyscall ()
(gdb) thread apply all bt full

Thread 3 (Thread -1291936880 (LWP 12298)):
#0  0x00467402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0102e4f3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x004962e3 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00496659 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x02c226f2 in e_book_get_type () from /usr/lib/libebook-1.2.so.9
No symbol table info available.
#5  0x004b0f4f in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x009412db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x0103805e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1302426736 (LWP 12301)):
#0  0x00467402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0102e4f3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x004962e3 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00496659 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x010e12e0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x004b0f4f in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x009412db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x0103805e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208678704 (LWP 12295)):
#0  0x00467402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00f93c50 in raise () from /lib/libc.so.6
No symbol table info available.
#2  0x00f954a1 in abort () from /lib/libc.so.6
No symbol table info available.
#3  0x034eb5e5 in dbus_malloc () from /lib/libdbus-1.so.3
No symbol table info available.
#4  0x034d7577 in dbus_watch_set_data () from /lib/libdbus-1.so.3
No symbol table info available.
#5  0x034ab9e2 in dbus_connection_close () from /lib/libdbus-1.so.3
No symbol table info available.
#6  0x034a1783 in dbus_bus_register () from /lib/libdbus-1.so.3
No symbol table info available.
#7  0x026caf47 in gnome_vfs_daemon_message_iter_get_file_info () from
/usr/lib/libgnomevfs-2.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#8  0x026eb6d8 in gnome_vfs_volume_monitor_client_shutdown_private () from
/usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#9  0x026eb293 in gnome_vfs_volume_monitor_client_get_type () from
/usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#10 0x003c472a in g_type_create_instance () from /lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x003ac012 in g_object_set () from /lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x003a9c6b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x003aa7cf in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x003aa980 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x026ec050 in gnome_vfs_volume_monitor_unref () from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#16 0x026ec0e6 in gnome_vfs_get_volume_monitor () from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#17 0x042bd3b4 in gtk_file_system_gnome_vfs_new () from
/usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so
No symbol table info available.
#18 0x003c472a in g_type_create_instance () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x003ac012 in g_object_set () from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x003a9c6b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x003aa7cf in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x003aa980 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x042bd0d9 in gtk_file_system_gnome_vfs_new () from
/usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so
No symbol table info available.
#24 0x042c31a5 in fs_module_create () from
/usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so
No symbol table info available.
#25 0x00cb23ed in gtk_file_selection_set_filename () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x00cb2573 in gtk_file_system_create () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x00ca3134 in gtk_file_chooser_button_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x003ac1ec in g_object_set () from /lib/libgobject-2.0.so.0
No symbol table info available.
#29 0x00ca6aa1 in gtk_file_chooser_button_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0x003a9c6b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#31 0x003aa879 in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x003aa980 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00c98738 in gtk_file_chooser_button_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#34 0x00cab06c in gtk_file_chooser_widget_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#35 0x003a9c6b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#36 0x003aa7cf in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#37 0x003aa980 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#38 0x00ca744d in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#39 0x003a9c6b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#40 0x003aa879 in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#41 0x003aa980 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#42 0x00ca6f4e in gtk_file_chooser_dialog_get_type () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#43 0x00ca6ffc in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0x080d7ec8 in gaim_gtk_buddy_icon_chooser_new (parent=0x0,
callback=0x80d5a80 <icon_choose_cb>, data=0x8960080) at gtkutils.c:2386
        current_folder = 0x869d708 ""
#45 0x080d5a6a in icon_box_press_cb (widget=0x87bc908, event=0x8a6cb40,
box=0x8960080) at gtkstatusbox.c:241
No locals.
#46 0x00d030f0 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#47 0x003a4e6b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#48 0x003b5de3 in g_signal_override_class_closure () from /lib/libgobject-2.0.so.0
No symbol table info available.
#49 0x003b70a7 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#50 0x003b7499 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#51 0x00e17218 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#52 0x00cfc593 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#53 0x00cfd797 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#54 0x002320da in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#55 0x004932d2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#56 0x004962af in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#57 0x00496659 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#58 0x00cfdc14 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#59 0x080affc9 in main (argc=1, argv=0xbfeb9e04) at gtkmain.c:801
        saved_status = <value optimized out>
        opt_help = <value optimized out>
        opt_login = 0
        opt_nologin = 0
        opt_version = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        opt_config_dir_arg = 0x0
        opt_login_arg = 0x0
        opt_session_arg = 0x0
        accounts = <value optimized out>
        sig_indx = <value optimized out>
        sigset = {__val = {91143, 0 <repeats 31 times>}}
        prev_sig_disp = <value optimized out>
        errmsg =
"\003\000\000\000qS|\000\000\000\000\000\000\000\000\000��|\000\000\000\000\000�s�\000\f~����|\000\003\000\000\000\002\000\000\000\224}��\205T|\000\b\000\000\000\034\000\000\000��|\000�\231����{\000
9��\0209��\f\000\000\000�G\021\000\214~뿰���pz��\000\000\000\000\000Ш\000\000Ш
\000\233\231��\224\231��\220\231��qS|\000\001\000\000\000\\�\001\000\000\000\000\000\\Ū\000��|\000\000\000\000\000��|\000\005\000\000\000\004\000\000\000\f~��\205T|\000\b\000\000\000,\000\000\000��|\000�\231����{\000�8���8��"...
        segfault_message_tmp = <value optimized out>
        error = (GError *) 0x0
        opt = <value optimized out>
        gui_check = <value optimized out>
        debug_enabled = 0
        long_options = {{name = 0x80eb071 "config", has_arg = 1, flag = 0x0, val
= 99}, {name = 0x80deb6c "debug", has_arg = 0, flag = 0x0, val = 100}, {
    name = 0x80e0804 "help", has_arg = 0, flag = 0x0, val = 104}, {name =
0x80eb98c "login", has_arg = 2, flag = 0x0, val = 108}, {name = 0x80e85f9
"nologin", 
    has_arg = 0, flag = 0x0, val = 110}, {name = 0x80eb067 "session", has_arg =
1, flag = 0x0, val = 115}, {name = 0x80e1a83 "version", has_arg = 0, flag = 0x0, 
    val = 118}, {name = 0x0, has_arg = 0, flag = 0x0, val = 0}}
(gdb) 
--------------------------------------------------------
Comment 1 Mayank Jain 2006-11-06 07:20:12 EST
Created attachment 140455 [details]
Click according to this screenshot.
Comment 2 Warren Togami 2006-11-27 12:36:32 EST
Is this still an issue with the latest FC6 update?
Comment 3 Mayank Jain 2006-11-28 01:50:00 EST
Hi,

I just checked up, I have gaim-2.0.0.0-0.23.beta5.fc7 & it does not crashes as
mentioned in the bug.

IMO, this is fixed. DOes it needs to go through a round of QE? Or should I close
the bug?

Thanks,
Mayank
Comment 4 Warren Togami 2006-11-28 10:32:08 EST
Just closing.  Thanks.
Comment 5 Mayank Jain 2006-11-29 00:20:31 EST
Thanks

Note You need to log in before you can comment on or make changes to this bug.